axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sanjaya Karunasena (JIRA)" <j...@apache.org>
Subject [jira] Updated: (AXIS2-2689) Unable to add FI POX support due to a parser error
Date Thu, 05 Jul 2007 00:50:04 GMT

     [ https://issues.apache.org/jira/browse/AXIS2-2689?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sanjaya Karunasena updated AXIS2-2689:
--------------------------------------

    Attachment: fi_pox2.patch

Thanks Dims.

My bad! Now I am generating the wsdl/stub on the fly and fixed the writeTo method too.

However the problem still exists and I guess its coming from Axiom. I am investigating the
Axiom code now. I have modified the code any way it doesn't break the build. 

At the same time it works fine for SOAP messages. Hence, If possible can apply this patch
so that I don't have to fix my local copy every time when some does a change which affect
this part of the code? I don't think its advisable to work on a older copy of the svn since
there are lot of changes happening.

Thank again.
Sanjaya


> Unable to add FI POX support due to a parser error
> --------------------------------------------------
>
>                 Key: AXIS2-2689
>                 URL: https://issues.apache.org/jira/browse/AXIS2-2689
>             Project: Axis 2.0 (Axis2)
>          Issue Type: Bug
>          Components: modules
>         Environment: Java
>            Reporter: Sanjaya Karunasena
>            Assignee: Amila Chinthaka Suriarachchi
>            Priority: Critical
>             Fix For: 1.3
>
>         Attachments: fi_pox.patch, fi_pox2.patch
>
>
> I am trying to add FI POX support to Axis2. When the reply comes to the client, I get
the following exception from client stub. Can some one help me to find the isssue? I have
attached a patch which has the code required to recreate this problem.
> ------------- ---------------- ---------------
> Testcase: testAdd2(org.apache.axis2.fastinfoset.FastInfosetTest):	Caused an ERROR
> java.lang.UnsupportedOperationException: The parser is already consumed!
> java.lang.RuntimeException: java.lang.UnsupportedOperationException: The parser is already
consumed!
> 	at org.apache.axis2.fastinfoset.xsd.SimpleAddServiceStub.fromOM(SimpleAddServiceStub.java:3653)
> 	at org.apache.axis2.fastinfoset.xsd.SimpleAddServiceStub.addStrings(SimpleAddServiceStub.java:182)
> 	at org.apache.axis2.fastinfoset.SimpleAddServiceClient.addStrings(SimpleAddServiceClient.java:110)
> 	at org.apache.axis2.fastinfoset.FastInfosetTest.testAdd2(FastInfosetTest.java:110)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> Caused by: java.lang.UnsupportedOperationException: The parser is already consumed!
> 	at org.apache.axiom.om.impl.llom.OMElementImpl.getXMLStreamReader(OMElementImpl.java:646)
> 	at org.apache.axiom.om.impl.llom.OMElementImpl.getXMLStreamReaderWithoutCaching(OMElementImpl.java:628)
> 	at org.apache.axis2.fastinfoset.xsd.SimpleAddServiceStub.fromOM(SimpleAddServiceStub.java:3619)
> 	... 17 more

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message